/*
 * Copyright 2016 by Kappich Systemberatung Aachen
 * 
 * This file is part of de.bsvrz.dua.tests.
 * 
 * de.bsvrz.dua.tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.dua.tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.dua.tests.  If not, see <http://www.gnu.org/licenses/>.

 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436 
 * mail: <info@kappich.de>
 */

package de.bsvrz.dua.tests;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.dav.daf.main.config.SystemObject;

import java.util.List;

/**
 * TBD Dokumentation
 *
 * @author Kappich Systemberatung
 */
public class DuaLayout extends ColumnLayout {

	@Override
	public int getColumnCount(final boolean in) {
		return 4;
	}

	@Override
	public void setValues(final SystemObject testObject, final Data item, final List<String> row, final int realCol, final String type, final boolean in) {
		item.getTextValue("Wert").setText(row.get(realCol));
		Data mwItem = item.getItem("Status").getItem("MessWertErsetzung");
		Data guete = item.getItem("Güte");
		mwItem.getTextValue("Implausibel").setText(row.get(realCol + 1));
		mwItem.getTextValue("Interpoliert").setText(row.get(realCol + 2));
		String percent = row.get(realCol + 3);
		if(percent.endsWith("%")) {
			percent = percent.substring(0, percent.length() - 1);
		}
		percent = percent.replace(',', '.');
		guete.getUnscaledValue("Index").set(Double.parseDouble(percent) * 100);
	}

}
